module Firehol
  module Helpers
    def ports_to_s(ports)
      case ports
      when String
        ports
      when Hash
        ports.map do |protocol, port_array|
          port_array.map { |port| "#{protocol}/#{port}" }
        end.flatten.join(" ")
      when Array
        ports.join(" ")
      end
    end
  end
end
