class Chef
  class Provider::FirewallService < Chef::Provider::LWRPBase
    provides :firewall_service

    action :create do
      firewall_resource = run_context.resource_collection.find(firewall: "firehol")
      raise "could not find a firewall resource" unless firewall_resource

      new_resource.notifies(:restart, firewall_resource, :delayed)
      new_resource.updated_by_last_action(true)
    end
  end
end
