class Chef
  class Resource::FirewallRouter < Chef::Resource::LWRPBase
    resource_name  :firewall_router
    provides       :firewall_router
    actions        :create
    default_action :create

    attribute :common_name, kind_of: String, required: true, name_attribute: true
    attribute :inface, kind_of: String, required: true
    attribute :masquerade, kind_of: [TrueClass, FalseClass], default: false
    attribute :outface, kind_of: String, required: true
    attribute :reverse_masquerade, kind_of: [TrueClass, FalseClass], default: false
  end
end
