class Chef
  class Resource::FirewallService < Chef::Resource::LWRPBase
    resource_name  :firewall_service
    provides       :firewall_service
    actions        :create
    default_action :create

    attribute :client_ports, kind_of: [Array, String], required: true, default: "default"
    attribute :description, kind_of: String
    attribute :service_name, kind_of: String, required: true, name_attribute: true
    attribute :server_ports, kind_of: [Hash, String], required: true
  end
end
