if defined?(ChefSpec)
  ChefSpec.define_matcher(:firewall)

  def create_firewall(resource_name)
    ChefSpec::Matchers::ResourceMatcher.new(:firewall, :create, resource_name)
  end

  def restart_firewall(resource_name)
    ChefSpec::Matchers::ResourceMatcher.new(:firewall, :restart, resource_name)
  end

  ChefSpec.define_matcher(:firewall_interface)

  def create_firewall_interface(resource_name)
    ChefSpec::Matchers::ResourceMatcher.new(:firewall_interface, :create, resource_name)
  end

  ChefSpec.define_matcher(:firewall_router)

  def create_firewall_router(resource_name)
    ChefSpec::Matchers::ResourceMatcher.new(:firewall_router, :create, resource_name)
  end

  ChefSpec.define_matcher(:firewall_rule)

  def create_firewall_rule(resource_name)
    ChefSpec::Matchers::ResourceMatcher.new(:firewall_rule, :create, resource_name)
  end

  ChefSpec.define_matcher(:firewall_service)

  def create_firewall_service(resource_name)
    ChefSpec::Matchers::ResourceMatcher.new(:firewall_service, :create, resource_name)
  end
end
