class Chef
  class Resource::Firewall < Chef::Resource::LWRPBase
    resource_name  :firewall
    provides       :firewall
    actions        %i(create restart)
    default_action :create

    attribute :firewall_name, kind_of: String,  required: true, name_attribute: true
    attribute :version,       kind_of: Integer, required: true, default: 6
  end
end
